### Constructor

# AppStreamCompose Image new_from_file

#### Declaration [src]

    AscImage*
    asc_image_new_from_file (
      const gchar* fname,
      gint dest_width,
      gint dest_height,
      AscImageLoadFlags flags,
      GError** error
    )

#### Description [src]

Creates a new `AscImage` from a file on the filesystem.

#### Parameters

`fname`

  Type: `const gchar*`

  Name of the file to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`dest_width`

  Type: `gint`

  The suggested width of the constructed pixbuf, or 0 for the native size.

`dest_height`

  Type: `gint`

  The suggested height of the constructed pixbuf, or 0 for the native size.

`flags`

  Type: `AscImageLoadFlags`

  A `AscImageLoadFlags`, e.g. `ASC_IMAGE_LOAD_FLAG_NONE`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AscImage`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.